Bug 1473310 - (CVE-2017-11113) CVE-2017-11113 ncurses: Null pointer dereference vulnerability in _nc_parse_entry function
CVE-2017-11113 ncurses: Null pointer dereference vulnerability in _nc_parse_e...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170624,reported=2...
: Security
: 1464691 (view as bug list)
Depends On: 1464691
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 08:54 EDT by Adam Mariš
Modified: 2017-10-19 05:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: ncurses 6.0-20170701
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-19 05:39:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-07-20 08:54:41 EDT
In ncurses 6.0, there is a NULL Pointer Dereference in the _nc_parse_entry function of tinfo/parse_entry.c. It could lead to a remote denial of service attack if the terminfo library code is used to process untrusted terminfo data.

Bug report:

https://bugzilla.redhat.com/show_bug.cgi?id=1464691

Upstream patch:

https://lists.gnu.org/archive/html/bug-ncurses/2017-07/msg00001.html
Comment 1 Miroslav Lichvar 2017-07-26 09:07:44 EDT
*** Bug 1464691 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.